{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "allowedClientSecretNames": {
      "items": {
        "type": "string"
      },
      "nullable": true,
      "type": "array"
    },
    "allowedRepoPatterns": {
      "items": {
        "type": "string"
      },
      "nullable": true,
      "type": "array"
    },
    "allowedServiceAccounts": {
      "items": {
        "type": "string"
      },
      "nullable": true,
      "type": "array"
    },
    "allowedTargetNamespaces": {
      "items": {
        "type": "string"
      },
      "nullable": true,
      "type": "array"
    },
    "apiVersion": {
      "type": "string"
    },
    "defaultClientSecretName": {
      "nullable": true,
      "type": "string"
    },
    "defaultServiceAccount": {
      "nullable": true,
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "metadata": {
      "type": "object"
    }
  },
  "type": "object"
}
